﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Media;

namespace TreeViewTest
{
    class IDtoFontColor : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var val = value as int?;
            if (val.HasValue)
            {
                if (val % 2 == 0)
                {
                    return new SolidColorBrush() { Color = Colors.Blue };
                }
                else
                    return new SolidColorBrush() { Color = Colors.Red };
            }
            return new SolidColorBrush() { Color = Colors.Black};
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
