﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Windows.Automation;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.DragDrop;
using Telerik.Windows.Controls.TreeView;
using Telerik.Windows.DragDrop;
using System.Windows.Controls;
using System.ComponentModel;

namespace TreeViewTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
			this.Bind();
        }

		private void Bind()
		{
			ObservableCollection<DataItem> root = new ObservableCollection<DataItem>();
			for (int i = 0; i < 5; i++)
			{
				DataItem item = new DataItem(){Name = "name" + i};
				for (int j = 0; j < 3; j++)
				{
					DataItem child = new DataItem(){Name = "Child" + j};
					child.IsVisible = j % 2 == 0;
					item.Children.Add(child);
				}
				item.IsVisible = i % 2 != 0;
				root.Add(item);
			}
			this.treeView.ItemsSource = root;
		}


    }
}
